
IF EXISTS ( SELECT  *
            FROM    dbo.sysobjects
            WHERE   id = OBJECT_ID(N'dbo.insertaRelojMensajesEmpleado')
                    AND OBJECTPROPERTY(id, N'IsProcedure') = 1 ) 
    DROP PROCEDURE dbo.insertaRelojMensajesEmpleado
GO

CREATE PROCEDURE dbo.insertaRelojMensajesEmpleado
    (
      @empresa AS udtInteger ,
      @codigo AS udtInteger ,
      @mensaje AS udtStringSize1024 ,
      @desde AS udtDateTime ,
      @hasta AS udtDateTime ,
      @imagen udtStringSize512
    )
    WITH ENCRYPTION
AS 
    SET NOCOUNT ON 
 
 
    IF EXISTS ( SELECT  1
                FROM    dbo.relch_msgper
                WHERE   empresa = @empresa
                        AND codigo = @codigo ) 
        BEGIN 
            UPDATE  dbo.relch_msgper
            SET     mensaje = @mensaje ,
                    desde = @desde ,
                    hasta = @hasta ,
                    imagen = @imagen
            WHERE   empresa = @empresa
                    AND codigo = @codigo
        END
    ELSE 
        BEGIN
            INSERT  INTO dbo.relch_msgper
                    ( empresa ,
                      codigo ,
                      mensaje ,
                      desde ,
                      hasta ,
                      imagen
                    )
            VALUES  ( @empresa ,
                      @codigo ,
                      @mensaje ,
                      @desde ,
                      @hasta ,
                      @imagen
                    )

        END

                
       GO
       
/*Codigo para el formulario de mensajes personales*/

IF EXISTS ( SELECT  *
            FROM    dbo.sysobjects
            WHERE   id = OBJECT_ID(N'dbo.obtenDatosEmpleadoMensajes')
                    AND OBJECTPROPERTY(id, N'IsProcedure') = 1 ) 
    DROP PROCEDURE dbo.obtenDatosEmpleadoMensajes
GO

CREATE PROCEDURE dbo.obtenDatosEmpleadoMensajes ( @nEmpresa udtinteger )
    WITH ENCRYPTION
AS 
    SET NOCOUNT ON 
 
    SELECT  codigo ,
            ap_paterno + ' ' + ap_materno + ' ' + nombre AS Nombre
    FROM    empleados
    WHERE   empresa = @nEmpresa


GO
       
IF EXISTS ( SELECT  *
            FROM    dbo.sysobjects
            WHERE   id = OBJECT_ID(N'dbo.obtenRelojDatosMensaje')
                    AND OBJECTPROPERTY(id, N'IsProcedure') = 1 ) 
    DROP PROCEDURE dbo.obtenRelojDatosMensaje
GO

CREATE PROCEDURE dbo.obtenRelojDatosMensaje
    (
      @nEmpresa udtinteger ,
      @codigo udtInteger 
    )
    WITH ENCRYPTION
AS 
    SET NOCOUNT ON 
 
    SELECT  ISNULL(mensaje,'') AS mensaje,
			desde,
			hasta,
			ISNULL(imagen,'') AS imagen
    FROM    dbo.relch_msgper
    WHERE   empresa = @nEmpresa
            AND codigo = @codigo


GO
       
